<!doctype html>
<html lang="en">

<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
  <meta name="description" content="">
  <title>Time tracker · Bulma</title>
  <link rel="stylesheet" href="fontawesome/css/all.css" />
  <link rel="stylesheet" href="dist/css/main.css">
</head>

<body>

  <!-- START Template -->
  <script type="text/template" data-detail>
    {% assign actualProjectObject = projects | where: "id", actualProject | first %}
    {% assign actualClient = clients | where: "id", actualProjectObject.clientId | first %}
    {% assign actualTeam = teams | where: "id", actualProjectObject.teamId | first %}


    <div class="wrapper">

      <!-- START Sidebar -->
      <div class="sidebar-wrapper has-background-white-bis">
        <div class="ml-4 my-4">
          <h1 class="title is-4">Time tracker</h1>
          {% assign activeUser = users | where: "id", options.activeUser | first %}
          <div class="subtitle">{{ activeUser.name }}</div>
        </div>
        <hr class="my-4">
        <aside class="menu">
          <div class="menu-list">
            <a href="index.html">
              <span class="icon is-small"><i class="fas fa-tachometer-alt"></i></span>
              <span class="ml-1">Dashboard</span>
            </a>
            <a href="time.html">
              <span class="icon is-small"><i class="far fa-clock"></i></span>
              <span class="ml-1">Time tracking</span>
            </a>
            <a class="is-active" href="projects.html">
              <span class="icon is-small"><i class="fas fa-project-diagram"></i></span>
              <span class="ml-1">Projects</span>
            </a>
            <a href="clients.html">
              <span class="icon is-small"><i class="fas fa-star"></i></span>
              <span class="ml-1">Clients</span>
            </a>
            <a href="teams.html">
              <span class="icon is-small"><i class="fas fa-users-cog"></i></span>
              <span class="ml-1">Teams</span>
            </a>
            <a href="users.html">
              <span class="icon is-small"><i class="fas fa-users"></i></span>
              <span class="ml-1">Users</span>
            </a>
            <a href="settings.html">
              <span class="icon is-small"><i class="fas fa-cogs"></i></span>
              <span class="ml-1">Settings</span>
            </a>
          </div>
        </aside>
      </div>
      <!-- END Sidebar-->
  

      <!-- START Main -->
      <div class="main-wrapper">
  
        <nav class="navbar is-light" role="navigation" aria-label="main navigation">      
          <div class="navbar-menu is-active">
            <div class="navbar-start">
              <a class="navbar-item" id="js-open-nav">
                <span class="icon is-small">
                  <i class="fas fa-bars"></i>
                </span>
                <span class="ml-2">Menu</span>
              </a>
            </div>
        
            <div class="navbar-end">
              <div class="navbar-item">
                <div class="buttons">
                  <a class="button is-primary" href="#" id="js-logout">
                    <strong>Log out</strong>
                  </a>
                </div>
              </div>
            </div>
          </div>
        </nav>
  
        <!-- START Content -->
        <section class="section">
        <div class="container">

          <div class="level">
            <div class="level-left">
              <h2 class="title is-3">{{ actualProjectObject.name }} - detail</h2>
            </div>
            <div class="level-right">
              <a href="../index.html" class="button is-small">Change framework</a>
              <button type="button" class="button is-small" id="js-load-data">Reset data</button>
            </div>
          </div>
  
  
          <div class="mt-3 mb-3">
            <p class="is-size-3">
              <i class="far fa-clock"></i>
              {% assign filteredEntries = entries | where: "projectId", actualProjectObject.id %}
              <span class="ml-2">{{ filteredEntries | totalTime }}</span> 
            </p>
          </div>
          
  
          <div class="columns">
  
            <div class="column">
              <h4 class="title is-4">Project tracker</h4>
  
              <div class="mt-3">
                <div class="select is-fullwidth">
                  <select id="js-entry-filter">
                    {% if special.entryFilter == 0 or special.entryFilter == blank %}
                      <option selected value="0">All members</option>
                    {% else %}
                      <option value="0">All members</option>
                    {% endif %}
                    {% for userId in actualTeam.users %}
                    {% assign user = users | where: "id", userId %}
                      {% if special.entryFilter == user.first.id %}
                        <option selected value="{{ user.first.id }}">{{ user.first.name }}</option>
                      {% else %}
                        <option value="{{ user.first.id }}">{{ user.first.name }}</option>
                      {% endif %}
                    {% endfor %}
                  </select>
                </div>
              </div>
  
              {% assign filteredEntries = entries | where: "projectId", actualProjectObject.id %}
              {% for entry in filteredEntries %}
                {% if special.entryFilter == 0 or special.entryFilter == blank or special.entryFilter == entry.userId %}
                <div class="card mt-5">
                  <div class="card-content">
  
                    <div class="columns">
                      <div class="column">
                        <div class="content">
                          <h5 class=" mb-1">{{ entry.desc }}</h5>
                          <p>
                            <small>
                              <span class="mr-3"><i class="far fa-clock"></i> {{ entry.startTime | date: "%H:%M" }} - {{ entry.endTime | date: "%H:%M" }} ({{ entry.startTime | timeDiff: entry.endTime }})</span>
                              <span><i class="far fa-calendar-alt"></i> {{ entry.startTime | date: "%d.%m.%Y" }}</span>
                            </small>
                          </p> 
                        </div> 
                      </div>
                      <div class="column is-narrow">
                        {% assign entryUser = users | where: "id", entry.userId %}
                        <button type="button" class="button is-dark" data-tooltip="{{ entryUser.first.name }}">
                          <span class="icon is-small">
                          <i class="fas fa-user"></i>
                          </span>
                        </button>
                      </div>
                    </div>
  
                  </div>
                </div>
                {% endif %}
              {% endfor %}
  
            </div>
  
  
            <div class="column">
              <h4 class="title is-4">Project tasks</h4>
  
              <div class="mt-3">
                <div class="select is-fullwidth">
                  <select class="form-control" id="js-task-filter">
                    {% if special.taskFilter == 0 or special.taskFilter == blank %}
                      <option selected value="0">All members</option>
                    {% else %}
                      <option value="0">All members</option>
                    {% endif %}
                    {% for userId in actualTeam.users %}
                    {% assign user = users | where: "id", userId %}
                      {% if special.taskFilter == user.first.id %}
                        <option selected value="{{ user.first.id }}">{{ user.first.name }}</option>
                      {% else %}
                        <option value="{{ user.first.id }}">{{ user.first.name }}</option>
                      {% endif %}
                    {% endfor %}
                  </select>
                </div>
              </div>
  
              {% assign filteredTasks = tasks | where: "projectId", actualProjectObject.id %}
              {% for task in filteredTasks %}
                {% if task.status == 0 %}
                {% if special.taskFilter == 0 or special.taskFilter == blank or special.taskFilter == task.userId %}
                <div class="card mt-5">
                  <div class="card-content">
                    <div class="columns">
                      <div class="column">
                        <div class="content">
                          <h5 class="mb-1">{{ task.name }}</h5>
                          <p><small>{{ task.desc }}</small></p>
                        </div>
                      </div>
                      <div class="column is-narrow">
                        {% assign taskUser = users | where: "id", task.userId %}
                        <button type="button" class="button is-dark" data-tooltip="{{ taskUser.first.name }}">
                          <span class="icon is-small">
                            <i class="fas fa-user"></i>
                          </span>
                        </button>
  
                        {% if actualProjectObject.active == 1 %}
                          <button type="button" class="button is-success" data-finish-task="{{ task.id }}">
                            <span class="icon is-small">
                              <i class="fas fa-check"></i>
                            </span>
                          </button>
                          <button type="button" class="button is-danger" data-delete-task="{{ task.id }}">
                            <span class="icon is-small">
                              <i class="fas fa-trash-alt"></i>
                            </span>
                          </button>
                        {% endif %}
  
                      </div>
                    </div>
                  </div>
                </div>
                {% endif %}
                {% endif %}
              {% endfor %}
  
              
              <div class="mt-5">
                {% if actualProjectObject.active == 1 %}
                  <button id="js-modal-open" class="button is-info">
                    <span class="icon">
                      <i class="fas fa-plus"></i> 
                    </span>
                    <span>New task</span>
                  </button>
                {% else %}
                  <h4 class="title is-4">Finished tasks</h4>
                {% endif %}
              </div>
  
  
              {% for task in filteredTasks %}
                {% if task.status == 1 %}
                {% if special.taskFilter == 0 or special.taskFilter == blank or special.taskFilter == task.userId %}
                <div class="card mt-5 has-background-success-light">
                  <div class="card-content">
                    <div class="columns">
                      <div class="column">
                        <div class="content">
                          <h5 class="mb-1">{{ task.name }}</h5>
                          <p><small>{{ task.desc }}</small></p>
                        </div>
                      </div>
                      <div class="column is-narrow">
                        {% assign taskUser = users | where: "id", task.userId %}
                        <button type="button" class="button is-dark" data-tooltip="{{ taskUser.first.name }}">
                          <span class="icon is-small">
                            <i class="fas fa-user"></i>
                          </span>
                        </button>
                      </div>
                    </div>
                  </div>
                </div>
                {% endif %}
                {% endif %}
              {% endfor %}
  
            </div>
          </div>
  
  
          <hr class="my-4">
  
  
          <div class="columns">
            <div class="column">
              <h4 class="title is-4">Assigned client</h4>
  
              <div class="mt-3">
                <article class="message is-info">
                  <div class="message-body">
                    {{ actualClient.name }}
                  </div>
                </article>
              </div>
            </div>
  
            <div class="column">
              <h4 class="title is-4">Project team</h4>
  
              <div class="mt-3">
                <article class="message">
                  <div class="message-body">
                    {{ actualTeam.name }}
                  </div>
                </article>
              </div>
              
            </div>
          </div>
  
  
          <hr class="my-4">
  
          {% if actualProjectObject.active == 1 %}
            <div class="my-4">
              <button type="button" class="button is-large is-warning" data-finish-project="{{ actualProjectObject.id }}">
                <span class="icon is-small">
                <i class="fas fa-check-double"></i>
                </span>
                <span>Finish project</span>
              </button>
            </div>        
          {% else %}
            <div class="mt-3 mb-3">
              <p class="h1 mb-0 text-success">
                <span class="ml-2">Project is already finished</span> 
              </p>
            </div>
          {% endif %}


        </div>
       </section>
        <!-- END Content -->


      </div>
      <!-- END Main -->
  
    </div>
    <!-- END Wrapper -->


    <!-- START Modal -->
    <div class="modal">
      <div class="modal-background"></div>
      <div class="modal-card">
        <form id="js-add-task">
          <header class="modal-card-head">
            <p class="modal-card-title">New task</p>
            <button class="delete" aria-label="close"></button>
          </header>
          <section class="modal-card-body">
            <div class="field">
              <label class="label">Task name</label>
              <div class="control">
                <input class="input" type="text" placeholder="Task name" name="name" required>
              </div>
            </div>
            <div class="field">
              <label class="label">Task description</label>
              <div class="control">
                <input class="input" type="text" placeholder="Task description" name="desc" required>
              </div>
            </div>
            <div class="field">
              <label class="label">Roles</label>
              <div class="control">
                <div class="select is-fullwidth">
                  <select name="userId" required>
                    <option value="" disabled selected hidden>Assign user</option>
                    {% for userId in actualTeam.users %}
                      {% assign user = users | where: "id", userId %}
                      <option value="{{ user.first.id }}">{{ user.first.name }}</option>
                    {% endfor %}
                  </select>
                </div>
              </div>
            </div>
            <input type="hidden" name="projectId" value="{{ actualProjectObject.id }}" required>
          </section>
          <footer class="modal-card-foot">
            <button type="submit" class="button is-success">Add</button>
            <button class="button" id="js-modal-close">Cancel</button>
          </footer>
        </form>
      </div>
    </div>
    <!-- END Modal -->
    
  </script>
  <!-- END Template -->

  <div id="render">
  </div>

  <script src="dist/js/app.js"></script>
</body>

</html>